package:
  name: mummer
  version: '3.23'
source:
  patches:
    - patches/gnuplot_mouse_clipboardformat.patch
    - patches/linkloc_explicit.patch
    - patches/addleafcount_explicit.patch
    - patches/findmumcand_explicit.patch
    - patches/findmaxmat_explicit.patch
    - patches/procmaxmat_explicit.patch
  sha256: 1efad4f7d8cee0d8eaebb320a2d63745bb3a160bb513a15ef7af46f330af662f
  url: https://downloads.sourceforge.net/project/mummer/mummer/3.23/MUMmer3.23.tar.gz
build:
  number: '21'
  run_exports:
    - mummer
requirements:
  build:
    - make
    - gcc_linux-64 13.*
    - gxx_linux-64 13.*
  host:
    - perl
  run:
    - perl
test:
  commands:
    - mummer -h &> /dev/null
    - delta-filter -h &> /dev/null
    - dnadiff -h &> /dev/null
    - mapview -h &> /dev/null
    - mummerplot -h &> /dev/null
    - nucmer -h &> /dev/null
    - promer -h &> /dev/null
    - show-aligns -h &> /dev/null
    - show-coords -h &> /dev/null
    - show-diff -h &> /dev/null
    - show-snps -h &> /dev/null
    - show-tiling -h &> /dev/null
about:
  home: http://mummer.sourceforge.net/
  license: The Artistic License
  license_file: LICENSE
  summary: MUMmer is a system for rapidly aligning entire genomes
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  final: false
  identifiers:
    - biotools:mummer
